<template>
  <el-card header="运营数据">
    <statistic class="statistic" :cols="0">
      <statistic-item v-for="(item, key) in items" :key="key" :class="{active: active === key}" @click="active = key">
        <span>
          {{item.title}}
          <el-tooltip v-if="item.desc" :content="item.desc" :open-delay=".3" placement="top">
            <i style="margin-left: 5px;cursor: pointer;" class="el-icon-warning-outline"/>
          </el-tooltip>
        </span>
        <span>
          <count-to :endVal="item.percent"/>
        </span>
      </statistic-item>
    </statistic>
    <ve-histogram
      style="width: 100%;"
      height="350px"
      :data="chartData"
      :data-empty="dataEmpty"
      :data-zoom="dataZoom"
      :extend="chartExtend"
    ></ve-histogram>
  </el-card>
</template>
<script>
import 'echarts/lib/component/dataZoom'
import countTo from 'vue-count-to'
import veHistogram from 'v-charts/lib/histogram.common'
export default {
  props: ['data'],
  components: {
    've-histogram': veHistogram,
    'count-to': countTo
  },
  computed: {
    items() {
      return {
        SCHOOL: this.data['SCHOOL'] || {},
        MUSIC_GROUP_NUM: this.data['MUSIC_GROUP_NUM'] || {},
      }
    },
    chartExtend() {
      return {
        tooltip: {
          axisPointer: {
            type: 'shadow',
            shadowStyle: {
              color: 'rgba(150,150,150,0.2)'
            }
          }
        }
      }
    },
    dataZoom() {
      return [
        {
          type: 'slider',
          start: 60,
          end: 100
        }
      ]
    },
    chartData() {
      const values = Object.values(this.items)
      const months = {}
      for (const item of values) {
        for (const row of (item.indexMonthData || [])) {
          const key = this.$helpers.dayjs(row.month).format('YYYY-MM-DD')
          if (!months[key]) {
            months[key] = {
              '日期': key,
            }
          }
          months[key][item.title] = row.percent
        }
      }
      return {
        columns: ['日期', ...values.map(item => item.title)],
        rows: Object.values(months)
      }
    },
    dataEmpty() {
      return !this.chartData.rows.length
    },
  },
  data () {
    return {
      active: 'SCHOOL',
    }
  },
}
</script>
<style lang="less" scoped>
  // .statistic{
  //   /deep/ .statistic-content{
  //     cursor: pointer;
  //     &.active > span{
  //       color: #14928a !important;
  //     }
  //   }
  // }
</style>
